/**********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
 * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2019 Renesas Electronics Corporation. All rights reserved.
 *********************************************************************************************************************/
/**********************************************************************************************************************
 * File Name    : r_fft_window_coefficient.h
 * Version      : 1.0
 * Description  : This file includes the hanning window coefficients.
 *********************************************************************************************************************/
/**********************************************************************************************************************
 * History : DD.MM.YYYY Version  Description
 *         : 14.06.2019 1.00     First Release
 *********************************************************************************************************************/

/**********************************************************************************************************************
 Includes   <System Includes> , "Project Includes"
 *********************************************************************************************************************/

/**********************************************************************************************************************
 Macro definitions
 *********************************************************************************************************************/
#ifndef __R_FFT_WINDOW_COEFFICIENT_H__
#define __R_FFT_WINDOW_COEFFICIENT_H__

const int16_t i16_hanning_fft1024[] =
{
    0x0000,0x0000,0x0001,0x0002,0x0004,0x0007,0x000B,0x000F,0x0013,0x0018,0x001E,0x0025,0x002C,0x0034,0x003C,0x0045,
    0x004E,0x0059,0x0063,0x006F,0x007B,0x0087,0x0095,0x00A2,0x00B1,0x00C0,0x00D0,0x00E0,0x00F1,0x0102,0x0114,0x0127,
    0x013A,0x014E,0x0163,0x0178,0x018E,0x01A4,0x01BB,0x01D2,0x01EA,0x0203,0x021D,0x0236,0x0251,0x026C,0x0288,0x02A4,
    0x02C1,0x02DE,0x02FD,0x031B,0x033A,0x035A,0x037B,0x039C,0x03BD,0x03DF,0x0402,0x0425,0x0449,0x046E,0x0493,0x04B8,
    0x04DF,0x0505,0x052D,0x0555,0x057D,0x05A6,0x05D0,0x05FA,0x0624,0x0650,0x067C,0x06A8,0x06D5,0x0702,0x0730,0x075F,
    0x078E,0x07BE,0x07EE,0x081F,0x0850,0x0882,0x08B4,0x08E7,0x091A,0x094E,0x0983,0x09B8,0x09ED,0x0A23,0x0A5A,0x0A91,
    0x0AC9,0x0B01,0x0B39,0x0B72,0x0BAC,0x0BE6,0x0C21,0x0C5C,0x0C98,0x0CD4,0x0D10,0x0D4E,0x0D8B,0x0DC9,0x0E08,0x0E47,
    0x0E86,0x0EC6,0x0F07,0x0F48,0x0F89,0x0FCB,0x100E,0x1050,0x1094,0x10D7,0x111C,0x1160,0x11A5,0x11EB,0x1231,0x1277,
    0x12BE,0x1305,0x134D,0x1395,0x13DE,0x1427,0x1470,0x14BA,0x1505,0x154F,0x159A,0x15E6,0x1632,0x167E,0x16CB,0x1718,
    0x1765,0x17B3,0x1802,0x1850,0x189F,0x18EF,0x193F,0x198F,0x19DF,0x1A30,0x1A82,0x1AD3,0x1B25,0x1B78,0x1BCA,0x1C1D,
    0x1C71,0x1CC5,0x1D19,0x1D6D,0x1DC2,0x1E17,0x1E6C,0x1EC2,0x1F18,0x1F6F,0x1FC5,0x201C,0x2074,0x20CB,0x2123,0x217B,
    0x21D4,0x222D,0x2286,0x22DF,0x2339,0x2393,0x23ED,0x2447,0x24A2,0x24FD,0x2558,0x25B4,0x2610,0x266C,0x26C8,0x2725,
    0x2781,0x27DE,0x283C,0x2899,0x28F7,0x2955,0x29B3,0x2A11,0x2A70,0x2ACE,0x2B2D,0x2B8C,0x2BEC,0x2C4B,0x2CAB,0x2D0B,
    0x2D6B,0x2DCB,0x2E2C,0x2E8D,0x2EED,0x2F4E,0x2FAF,0x3011,0x3072,0x30D4,0x3135,0x3197,0x31F9,0x325C,0x32BE,0x3320,
    0x3383,0x33E5,0x3448,0x34AB,0x350E,0x3571,0x35D4,0x3638,0x369B,0x36FF,0x3762,0x37C6,0x3829,0x388D,0x38F1,0x3955,
    0x39B9,0x3A1D,0x3A81,0x3AE6,0x3B4A,0x3BAE,0x3C12,0x3C77,0x3CDB,0x3D40,0x3DA4,0x3E08,0x3E6D,0x3ED1,0x3F36,0x3F9A,
    0x3FFF,0x4064,0x40C8,0x412D,0x4191,0x41F6,0x425A,0x42BE,0x4323,0x4387,0x43EC,0x4450,0x44B4,0x4518,0x457D,0x45E1,
    0x4645,0x46A9,0x470D,0x4771,0x47D5,0x4838,0x489C,0x48FF,0x4963,0x49C6,0x4A2A,0x4A8D,0x4AF0,0x4B53,0x4BB6,0x4C19,
    0x4C7B,0x4CDE,0x4D40,0x4DA2,0x4E05,0x4E67,0x4EC9,0x4F2A,0x4F8C,0x4FED,0x504F,0x50B0,0x5111,0x5171,0x51D2,0x5233,
    0x5293,0x52F3,0x5353,0x53B3,0x5412,0x5472,0x54D1,0x5530,0x558E,0x55ED,0x564B,0x56A9,0x5707,0x5765,0x57C2,0x5820,
    0x587D,0x58D9,0x5936,0x5992,0x59EE,0x5A4A,0x5AA6,0x5B01,0x5B5C,0x5BB7,0x5C11,0x5C6B,0x5CC5,0x5D1F,0x5D78,0x5DD1,
    0x5E2A,0x5E83,0x5EDB,0x5F33,0x5F8A,0x5FE2,0x6039,0x608F,0x60E6,0x613C,0x6192,0x61E7,0x623C,0x6291,0x62E5,0x6339,
    0x638D,0x63E1,0x6434,0x6486,0x64D9,0x652B,0x657C,0x65CE,0x661F,0x666F,0x66BF,0x670F,0x675F,0x67AE,0x67FC,0x684B,
    0x6899,0x68E6,0x6933,0x6980,0x69CC,0x6A18,0x6A64,0x6AAF,0x6AF9,0x6B44,0x6B8E,0x6BD7,0x6C20,0x6C69,0x6CB1,0x6CF9,
    0x6D40,0x6D87,0x6DCD,0x6E13,0x6E59,0x6E9E,0x6EE2,0x6F27,0x6F6A,0x6FAE,0x6FF0,0x7033,0x7075,0x70B6,0x70F7,0x7138,
    0x7178,0x71B7,0x71F6,0x7235,0x7273,0x72B0,0x72EE,0x732A,0x7366,0x73A2,0x73DD,0x7418,0x7452,0x748C,0x74C5,0x74FD,
    0x7535,0x756D,0x75A4,0x75DB,0x7611,0x7646,0x767B,0x76B0,0x76E4,0x7717,0x774A,0x777C,0x77AE,0x77DF,0x7810,0x7840,
    0x7870,0x789F,0x78CE,0x78FC,0x7929,0x7956,0x7982,0x79AE,0x79DA,0x7A04,0x7A2E,0x7A58,0x7A81,0x7AA9,0x7AD1,0x7AF9,
    0x7B1F,0x7B46,0x7B6B,0x7B90,0x7BB5,0x7BD9,0x7BFC,0x7C1F,0x7C41,0x7C62,0x7C83,0x7CA4,0x7CC4,0x7CE3,0x7D01,0x7D20,
    0x7D3D,0x7D5A,0x7D76,0x7D92,0x7DAD,0x7DC8,0x7DE1,0x7DFB,0x7E14,0x7E2C,0x7E43,0x7E5A,0x7E70,0x7E86,0x7E9B,0x7EB0,
    0x7EC4,0x7ED7,0x7EEA,0x7EFC,0x7F0D,0x7F1E,0x7F2E,0x7F3E,0x7F4D,0x7F5C,0x7F69,0x7F77,0x7F83,0x7F8F,0x7F9B,0x7FA5,
    0x7FB0,0x7FB9,0x7FC2,0x7FCA,0x7FD2,0x7FD9,0x7FE0,0x7FE6,0x7FEB,0x7FEF,0x7FF3,0x7FF7,0x7FFA,0x7FFC,0x7FFD,0x7FFE,
    0x7FFF,0x7FFE,0x7FFD,0x7FFC,0x7FFA,0x7FF7,0x7FF3,0x7FEF,0x7FEB,0x7FE6,0x7FE0,0x7FD9,0x7FD2,0x7FCA,0x7FC2,0x7FB9,
    0x7FB0,0x7FA5,0x7F9B,0x7F8F,0x7F83,0x7F77,0x7F69,0x7F5C,0x7F4D,0x7F3E,0x7F2E,0x7F1E,0x7F0D,0x7EFC,0x7EEA,0x7ED7,
    0x7EC4,0x7EB0,0x7E9B,0x7E86,0x7E70,0x7E5A,0x7E43,0x7E2C,0x7E14,0x7DFB,0x7DE1,0x7DC8,0x7DAD,0x7D92,0x7D76,0x7D5A,
    0x7D3D,0x7D20,0x7D01,0x7CE3,0x7CC4,0x7CA4,0x7C83,0x7C62,0x7C41,0x7C1F,0x7BFC,0x7BD9,0x7BB5,0x7B90,0x7B6B,0x7B46,
    0x7B1F,0x7AF9,0x7AD1,0x7AA9,0x7A81,0x7A58,0x7A2E,0x7A04,0x79DA,0x79AE,0x7982,0x7956,0x7929,0x78FC,0x78CE,0x789F,
    0x7870,0x7840,0x7810,0x77DF,0x77AE,0x777C,0x774A,0x7717,0x76E4,0x76B0,0x767B,0x7646,0x7611,0x75DB,0x75A4,0x756D,
    0x7535,0x74FD,0x74C5,0x748C,0x7452,0x7418,0x73DD,0x73A2,0x7366,0x732A,0x72EE,0x72B0,0x7273,0x7235,0x71F6,0x71B7,
    0x7178,0x7138,0x70F7,0x70B6,0x7075,0x7033,0x6FF0,0x6FAE,0x6F6A,0x6F27,0x6EE2,0x6E9E,0x6E59,0x6E13,0x6DCD,0x6D87,
    0x6D40,0x6CF9,0x6CB1,0x6C69,0x6C20,0x6BD7,0x6B8E,0x6B44,0x6AF9,0x6AAF,0x6A64,0x6A18,0x69CC,0x6980,0x6933,0x68E6,
    0x6899,0x684B,0x67FC,0x67AE,0x675F,0x670F,0x66BF,0x666F,0x661F,0x65CE,0x657C,0x652B,0x64D9,0x6486,0x6434,0x63E1,
    0x638D,0x6339,0x62E5,0x6291,0x623C,0x61E7,0x6192,0x613C,0x60E6,0x608F,0x6039,0x5FE2,0x5F8A,0x5F33,0x5EDB,0x5E83,
    0x5E2A,0x5DD1,0x5D78,0x5D1F,0x5CC5,0x5C6B,0x5C11,0x5BB7,0x5B5C,0x5B01,0x5AA6,0x5A4A,0x59EE,0x5992,0x5936,0x58D9,
    0x587D,0x5820,0x57C2,0x5765,0x5707,0x56A9,0x564B,0x55ED,0x558E,0x5530,0x54D1,0x5472,0x5412,0x53B3,0x5353,0x52F3,
    0x5293,0x5233,0x51D2,0x5171,0x5111,0x50B0,0x504F,0x4FED,0x4F8C,0x4F2A,0x4EC9,0x4E67,0x4E05,0x4DA2,0x4D40,0x4CDE,
    0x4C7B,0x4C19,0x4BB6,0x4B53,0x4AF0,0x4A8D,0x4A2A,0x49C6,0x4963,0x48FF,0x489C,0x4838,0x47D5,0x4771,0x470D,0x46A9,
    0x4645,0x45E1,0x457D,0x4518,0x44B4,0x4450,0x43EC,0x4387,0x4323,0x42BE,0x425A,0x41F6,0x4191,0x412D,0x40C8,0x4064,
    0x3FFF,0x3F9A,0x3F36,0x3ED1,0x3E6D,0x3E08,0x3DA4,0x3D40,0x3CDB,0x3C77,0x3C12,0x3BAE,0x3B4A,0x3AE6,0x3A81,0x3A1D,
    0x39B9,0x3955,0x38F1,0x388D,0x3829,0x37C6,0x3762,0x36FF,0x369B,0x3638,0x35D4,0x3571,0x350E,0x34AB,0x3448,0x33E5,
    0x3383,0x3320,0x32BE,0x325C,0x31F9,0x3197,0x3135,0x30D4,0x3072,0x3011,0x2FAF,0x2F4E,0x2EED,0x2E8D,0x2E2C,0x2DCB,
    0x2D6B,0x2D0B,0x2CAB,0x2C4B,0x2BEC,0x2B8C,0x2B2D,0x2ACE,0x2A70,0x2A11,0x29B3,0x2955,0x28F7,0x2899,0x283C,0x27DE,
    0x2781,0x2725,0x26C8,0x266C,0x2610,0x25B4,0x2558,0x24FD,0x24A2,0x2447,0x23ED,0x2393,0x2339,0x22DF,0x2286,0x222D,
    0x21D4,0x217B,0x2123,0x20CB,0x2074,0x201C,0x1FC5,0x1F6F,0x1F18,0x1EC2,0x1E6C,0x1E17,0x1DC2,0x1D6D,0x1D19,0x1CC5,
    0x1C71,0x1C1D,0x1BCA,0x1B78,0x1B25,0x1AD3,0x1A82,0x1A30,0x19DF,0x198F,0x193F,0x18EF,0x189F,0x1850,0x1802,0x17B3,
    0x1765,0x1718,0x16CB,0x167E,0x1632,0x15E6,0x159A,0x154F,0x1505,0x14BA,0x1470,0x1427,0x13DE,0x1395,0x134D,0x1305,
    0x12BE,0x1277,0x1231,0x11EB,0x11A5,0x1160,0x111C,0x10D7,0x1094,0x1050,0x100E,0x0FCB,0x0F89,0x0F48,0x0F07,0x0EC6,
    0x0E86,0x0E47,0x0E08,0x0DC9,0x0D8B,0x0D4E,0x0D10,0x0CD4,0x0C98,0x0C5C,0x0C21,0x0BE6,0x0BAC,0x0B72,0x0B39,0x0B01,
    0x0AC9,0x0A91,0x0A5A,0x0A23,0x09ED,0x09B8,0x0983,0x094E,0x091A,0x08E7,0x08B4,0x0882,0x0850,0x081F,0x07EE,0x07BE,
    0x078E,0x075F,0x0730,0x0702,0x06D5,0x06A8,0x067C,0x0650,0x0624,0x05FA,0x05D0,0x05A6,0x057D,0x0555,0x052D,0x0505,
    0x04DF,0x04B8,0x0493,0x046E,0x0449,0x0425,0x0402,0x03DF,0x03BD,0x039C,0x037B,0x035A,0x033A,0x031B,0x02FD,0x02DE,
    0x02C1,0x02A4,0x0288,0x026C,0x0251,0x0236,0x021D,0x0203,0x01EA,0x01D2,0x01BB,0x01A4,0x018E,0x0178,0x0163,0x014E,
    0x013A,0x0127,0x0114,0x0102,0x00F1,0x00E0,0x00D0,0x00C0,0x00B1,0x00A2,0x0095,0x0087,0x007B,0x006F,0x0063,0x0059,
    0x004E,0x0045,0x003C,0x0034,0x002C,0x0025,0x001E,0x0018,0x0013,0x000F,0x000B,0x0007,0x0004,0x0002,0x0001,0x0000
};
const int16_t i16_hanning_fft512[] =
{
    0x0000,0x0001,0x0004,0x000B,0x0013,0x001E,0x002C,0x003C,0x004E,0x0063,0x007B,0x0095,0x00B1,0x00D0,0x00F1,0x0114,
    0x013A,0x0163,0x018E,0x01BB,0x01EA,0x021D,0x0251,0x0288,0x02C1,0x02FD,0x033A,0x037B,0x03BD,0x0402,0x0449,0x0493,
    0x04DF,0x052D,0x057D,0x05D0,0x0624,0x067C,0x06D5,0x0730,0x078E,0x07EE,0x0850,0x08B4,0x091A,0x0983,0x09ED,0x0A5A,
    0x0AC9,0x0B39,0x0BAC,0x0C21,0x0C98,0x0D10,0x0D8B,0x0E08,0x0E86,0x0F07,0x0F89,0x100E,0x1094,0x111C,0x11A5,0x1231,
    0x12BE,0x134D,0x13DE,0x1470,0x1505,0x159A,0x1632,0x16CB,0x1765,0x1802,0x189F,0x193F,0x19DF,0x1A82,0x1B25,0x1BCA,
    0x1C71,0x1D19,0x1DC2,0x1E6C,0x1F18,0x1FC5,0x2074,0x2123,0x21D4,0x2286,0x2339,0x23ED,0x24A2,0x2558,0x2610,0x26C8,
    0x2781,0x283C,0x28F7,0x29B3,0x2A70,0x2B2D,0x2BEC,0x2CAB,0x2D6B,0x2E2C,0x2EED,0x2FAF,0x3072,0x3135,0x31F9,0x32BE,
    0x3383,0x3448,0x350E,0x35D4,0x369B,0x3762,0x3829,0x38F1,0x39B9,0x3A81,0x3B4A,0x3C12,0x3CDB,0x3DA4,0x3E6D,0x3F36,
    0x3FFF,0x40C8,0x4191,0x425A,0x4323,0x43EC,0x44B4,0x457D,0x4645,0x470D,0x47D5,0x489C,0x4963,0x4A2A,0x4AF0,0x4BB6,
    0x4C7B,0x4D40,0x4E05,0x4EC9,0x4F8C,0x504F,0x5111,0x51D2,0x5293,0x5353,0x5412,0x54D1,0x558E,0x564B,0x5707,0x57C2,
    0x587D,0x5936,0x59EE,0x5AA6,0x5B5C,0x5C11,0x5CC5,0x5D78,0x5E2A,0x5EDB,0x5F8A,0x6039,0x60E6,0x6192,0x623C,0x62E5,
    0x638D,0x6434,0x64D9,0x657C,0x661F,0x66BF,0x675F,0x67FC,0x6899,0x6933,0x69CC,0x6A64,0x6AF9,0x6B8E,0x6C20,0x6CB1,
    0x6D40,0x6DCD,0x6E59,0x6EE2,0x6F6A,0x6FF0,0x7075,0x70F7,0x7178,0x71F6,0x7273,0x72EE,0x7366,0x73DD,0x7452,0x74C5,
    0x7535,0x75A4,0x7611,0x767B,0x76E4,0x774A,0x77AE,0x7810,0x7870,0x78CE,0x7929,0x7982,0x79DA,0x7A2E,0x7A81,0x7AD1,
    0x7B1F,0x7B6B,0x7BB5,0x7BFC,0x7C41,0x7C83,0x7CC4,0x7D01,0x7D3D,0x7D76,0x7DAD,0x7DE1,0x7E14,0x7E43,0x7E70,0x7E9B,
    0x7EC4,0x7EEA,0x7F0D,0x7F2E,0x7F4D,0x7F69,0x7F83,0x7F9B,0x7FB0,0x7FC2,0x7FD2,0x7FE0,0x7FEB,0x7FF3,0x7FFA,0x7FFD,
    0x7FFF,0x7FFD,0x7FFA,0x7FF3,0x7FEB,0x7FE0,0x7FD2,0x7FC2,0x7FB0,0x7F9B,0x7F83,0x7F69,0x7F4D,0x7F2E,0x7F0D,0x7EEA,
    0x7EC4,0x7E9B,0x7E70,0x7E43,0x7E14,0x7DE1,0x7DAD,0x7D76,0x7D3D,0x7D01,0x7CC4,0x7C83,0x7C41,0x7BFC,0x7BB5,0x7B6B,
    0x7B1F,0x7AD1,0x7A81,0x7A2E,0x79DA,0x7982,0x7929,0x78CE,0x7870,0x7810,0x77AE,0x774A,0x76E4,0x767B,0x7611,0x75A4,
    0x7535,0x74C5,0x7452,0x73DD,0x7366,0x72EE,0x7273,0x71F6,0x7178,0x70F7,0x7075,0x6FF0,0x6F6A,0x6EE2,0x6E59,0x6DCD,
    0x6D40,0x6CB1,0x6C20,0x6B8E,0x6AF9,0x6A64,0x69CC,0x6933,0x6899,0x67FC,0x675F,0x66BF,0x661F,0x657C,0x64D9,0x6434,
    0x638D,0x62E5,0x623C,0x6192,0x60E6,0x6039,0x5F8A,0x5EDB,0x5E2A,0x5D78,0x5CC5,0x5C11,0x5B5C,0x5AA6,0x59EE,0x5936,
    0x587D,0x57C2,0x5707,0x564B,0x558E,0x54D1,0x5412,0x5353,0x5293,0x51D2,0x5111,0x504F,0x4F8C,0x4EC9,0x4E05,0x4D40,
    0x4C7B,0x4BB6,0x4AF0,0x4A2A,0x4963,0x489C,0x47D5,0x470D,0x4645,0x457D,0x44B4,0x43EC,0x4323,0x425A,0x4191,0x40C8,
    0x3FFF,0x3F36,0x3E6D,0x3DA4,0x3CDB,0x3C12,0x3B4A,0x3A81,0x39B9,0x38F1,0x3829,0x3762,0x369B,0x35D4,0x350E,0x3448,
    0x3383,0x32BE,0x31F9,0x3135,0x3072,0x2FAF,0x2EED,0x2E2C,0x2D6B,0x2CAB,0x2BEC,0x2B2D,0x2A70,0x29B3,0x28F7,0x283C,
    0x2781,0x26C8,0x2610,0x2558,0x24A2,0x23ED,0x2339,0x2286,0x21D4,0x2123,0x2074,0x1FC5,0x1F18,0x1E6C,0x1DC2,0x1D19,
    0x1C71,0x1BCA,0x1B25,0x1A82,0x19DF,0x193F,0x189F,0x1802,0x1765,0x16CB,0x1632,0x159A,0x1505,0x1470,0x13DE,0x134D,
    0x12BE,0x1231,0x11A5,0x111C,0x1094,0x100E,0x0F89,0x0F07,0x0E86,0x0E08,0x0D8B,0x0D10,0x0C98,0x0C21,0x0BAC,0x0B39,
    0x0AC9,0x0A5A,0x09ED,0x0983,0x091A,0x08B4,0x0850,0x07EE,0x078E,0x0730,0x06D5,0x067C,0x0624,0x05D0,0x057D,0x052D,
    0x04DF,0x0493,0x0449,0x0402,0x03BD,0x037B,0x033A,0x02FD,0x02C1,0x0288,0x0251,0x021D,0x01EA,0x01BB,0x018E,0x0163,
    0x013A,0x0114,0x00F1,0x00D0,0x00B1,0x0095,0x007B,0x0063,0x004E,0x003C,0x002C,0x001E,0x0013,0x000B,0x0004,0x0001
};
const int16_t i16_hanning_fft256[] =
{
    0x0000,0x0004,0x0013,0x002C,0x004E,0x007B,0x00B1,0x00F1,0x013A,0x018E,0x01EA,0x0251,0x02C1,0x033A,0x03BD,0x0449,
    0x04DF,0x057D,0x0624,0x06D5,0x078E,0x0850,0x091A,0x09ED,0x0AC9,0x0BAC,0x0C98,0x0D8B,0x0E86,0x0F89,0x1094,0x11A5,
    0x12BE,0x13DE,0x1505,0x1632,0x1765,0x189F,0x19DF,0x1B25,0x1C71,0x1DC2,0x1F18,0x2074,0x21D4,0x2339,0x24A2,0x2610,
    0x2781,0x28F7,0x2A70,0x2BEC,0x2D6B,0x2EED,0x3072,0x31F9,0x3383,0x350E,0x369B,0x3829,0x39B9,0x3B4A,0x3CDB,0x3E6D,
    0x3FFF,0x4191,0x4323,0x44B4,0x4645,0x47D5,0x4963,0x4AF0,0x4C7B,0x4E05,0x4F8C,0x5111,0x5293,0x5412,0x558E,0x5707,
    0x587D,0x59EE,0x5B5C,0x5CC5,0x5E2A,0x5F8A,0x60E6,0x623C,0x638D,0x64D9,0x661F,0x675F,0x6899,0x69CC,0x6AF9,0x6C20,
    0x6D40,0x6E59,0x6F6A,0x7075,0x7178,0x7273,0x7366,0x7452,0x7535,0x7611,0x76E4,0x77AE,0x7870,0x7929,0x79DA,0x7A81,
    0x7B1F,0x7BB5,0x7C41,0x7CC4,0x7D3D,0x7DAD,0x7E14,0x7E70,0x7EC4,0x7F0D,0x7F4D,0x7F83,0x7FB0,0x7FD2,0x7FEB,0x7FFA,
    0x7FFF,0x7FFA,0x7FEB,0x7FD2,0x7FB0,0x7F83,0x7F4D,0x7F0D,0x7EC4,0x7E70,0x7E14,0x7DAD,0x7D3D,0x7CC4,0x7C41,0x7BB5,
    0x7B1F,0x7A81,0x79DA,0x7929,0x7870,0x77AE,0x76E4,0x7611,0x7535,0x7452,0x7366,0x7273,0x7178,0x7075,0x6F6A,0x6E59,
    0x6D40,0x6C20,0x6AF9,0x69CC,0x6899,0x675F,0x661F,0x64D9,0x638D,0x623C,0x60E6,0x5F8A,0x5E2A,0x5CC5,0x5B5C,0x59EE,
    0x587D,0x5707,0x558E,0x5412,0x5293,0x5111,0x4F8C,0x4E05,0x4C7B,0x4AF0,0x4963,0x47D5,0x4645,0x44B4,0x4323,0x4191,
    0x3FFF,0x3E6D,0x3CDB,0x3B4A,0x39B9,0x3829,0x369B,0x350E,0x3383,0x31F9,0x3072,0x2EED,0x2D6B,0x2BEC,0x2A70,0x28F7,
    0x2781,0x2610,0x24A2,0x2339,0x21D4,0x2074,0x1F18,0x1DC2,0x1C71,0x1B25,0x19DF,0x189F,0x1765,0x1632,0x1505,0x13DE,
    0x12BE,0x11A5,0x1094,0x0F89,0x0E86,0x0D8B,0x0C98,0x0BAC,0x0AC9,0x09ED,0x091A,0x0850,0x078E,0x06D5,0x0624,0x057D,
    0x04DF,0x0449,0x03BD,0x033A,0x02C1,0x0251,0x01EA,0x018E,0x013A,0x00F1,0x00B1,0x007B,0x004E,0x002C,0x0013,0x0004,
    };
const int16_t i16_hanning_fft128[] =
{
    0x0000,0x0013,0x004E,0x00B1,0x013A,0x01EA,0x02C1,0x03BD,0x04DF,0x0624,0x078E,0x091A,0x0AC9,0x0C98,0x0E86,0x1094,
    0x12BE,0x1505,0x1765,0x19DF,0x1C71,0x1F18,0x21D4,0x24A2,0x2781,0x2A70,0x2D6B,0x3072,0x3383,0x369B,0x39B9,0x3CDB,
    0x3FFF,0x4323,0x4645,0x4963,0x4C7B,0x4F8C,0x5293,0x558E,0x587D,0x5B5C,0x5E2A,0x60E6,0x638D,0x661F,0x6899,0x6AF9,
    0x6D40,0x6F6A,0x7178,0x7366,0x7535,0x76E4,0x7870,0x79DA,0x7B1F,0x7C41,0x7D3D,0x7E14,0x7EC4,0x7F4D,0x7FB0,0x7FEB,
    0x7FFF,0x7FEB,0x7FB0,0x7F4D,0x7EC4,0x7E14,0x7D3D,0x7C41,0x7B1F,0x79DA,0x7870,0x76E4,0x7535,0x7366,0x7178,0x6F6A,
    0x6D40,0x6AF9,0x6899,0x661F,0x638D,0x60E6,0x5E2A,0x5B5C,0x587D,0x558E,0x5293,0x4F8C,0x4C7B,0x4963,0x4645,0x4323,
    0x3FFF,0x3CDB,0x39B9,0x369B,0x3383,0x3072,0x2D6B,0x2A70,0x2781,0x24A2,0x21D4,0x1F18,0x1C71,0x19DF,0x1765,0x1505,
    0x12BE,0x1094,0x0E86,0x0C98,0x0AC9,0x091A,0x078E,0x0624,0x04DF,0x03BD,0x02C1,0x01EA,0x013A,0x00B1,0x004E,0x0013
};

#endif
