/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
* EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
* SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS
* SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2018 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name    : r_mtr_config.h
* Description  : Compile-time configurations
***********************************************************************************************************************/
/**********************************************************************************************************************
* History : DD.MM.YYYY Version
*         : 28.09.2018 1.00
***********************************************************************************************************************/

/* Guard against multiple inclusion */
#ifndef R_MTR_CONFIG_H
#define R_MTR_CONFIG_H

/***********************************************************************************************************************
* Macro definitions
***********************************************************************************************************************/
/*
 * Hardware system configurations
 */
#define RX66T_MRSSK     /* CPU board : RX66T MRSSK */
#define IP_MRSSK        /* Inverter: MRSSK */
#define MP_TG55L        /* Default motor parameters: TG55L(Tsukasa) */
#define CP_TG55L        /* Control parameters: TG55L */

/**
 * Application Layer Configurations
 */
/* Defines the UI used as default UI (BOARD_UI/ICS_UI)*/
#define  CONFIG_DEFAULT_UI  (BOARD_UI)

/**
 * Middle ware Layer Configurations
 */

#define FUNC_ON          (1)
#define FUNC_OFF         (0)

/* Defines whether perform soft switching between open-loop mode and normal FOC mode */
#define DEFAULT_LESS_SWITCH         (FUNC_ON)

/* Defines whether use flux-weakening in FOC */
#define DEFAULT_FLUX_WEAKENING      (FUNC_OFF)

/* Defines whether use voltage error compensation in FOC */
#define DEFAULT_VOLT_ERR_COMP       (FUNC_ON)

/* Defines whether use the open-loop damping control */
#define DEFAULT_OPENLOOP_DAMPING    (FUNC_ON)

/* Select control gain mode
* - MTR_GAIN_DESIGN_MODE(default)
* - MTR_GAIN_DIRECT_MODE
*/
#define GAIN_MODE           (MTR_GAIN_DESIGN_MODE)

/* Select modulation method
* - MOD_METHOD_SPWM
* - MOD_METHOD_SVPWM(default)
*/
#define  MOD_METHOD         (MOD_METHOD_SVPWM)

#endif /* R_MTR_CONFIG_H */
