/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
* EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
* SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS
* SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2018 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name   : r_mtr_control_parameter.h
* Description : Definitions of default control parameters
***********************************************************************************************************************/
/**********************************************************************************************************************
* History : DD.MM.YYYY Version
*         : 28.09.2018 1.00
***********************************************************************************************************************/

/* Guard against multiple inclusion */
#ifndef R_MTR_CONTROL_PARAMETER_H
#define R_MTR_CONTROL_PARAMETER_H

/***********************************************************************************************************************
* Includes <System Includes> , "Project Includes"
***********************************************************************************************************************/
#include "r_mtr_config.h"

/***********************************************************************************************************************
* Macro definitions
***********************************************************************************************************************/
/* Terget control parameter definitions */
#ifdef CP_TG55L
#define     CP_CURRENT_OMEGA            (300.0f)      /* Natural frequency for current loop */
#define     CP_CURRENT_ZETA             (1.0f)        /* Damping ratio for current loop */
#define     CP_SPEED_OMEGA              (5.0f)        /* Natural frequency for speed loop */
#define     CP_SPEED_ZETA               (1.0f)        /* Damping ratio for speed loop */
#define     CP_E_OBS_OMEGA              (1000.0f)     /* Natural frequency of BEMF observer */
#define     CP_E_OBS_ZETA               (1.0f)        /* Damping ratio of BEMF observer */
#define     CP_PLL_EST_OMEGA            (20.0f)       /* Natural frequency of PLL Speed estimate loop */
#define     CP_PLL_EST_ZETA             (1.0f)        /* Damping ratio of PLL Speed estimate loop */
#define     CP_ID_DOWN_SPEED_RPM        (600)         /* Speed to start decreasing id [rpm] */
#define     CP_ID_UP_SPEED_RPM          (500)         /* Speed to start increasing id [rpm] */
#define     CP_MAX_SPEED_RPM            (2650)        /* Maximum speed[rpm] (mechanical) */
#define     CP_OVERSPEED_LIMIT_RPM      (3000)        /* Over-speed limit [rpm] */
#define     CP_OL_ID_REF                (0.3f)        /* Id reference when low speed [A] */
#endif
#endif /* R_MTR_CONTROL_PARAMETER_H */
