/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products.
* No other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws. 
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT.  ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY
* LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT,
* INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR
* ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability 
* of this software. By using this software, you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016, 2017 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : Config_CMT1_user.c
* Version      : 1.5.0
* Device(s)    : R5F566TEAxFP
* Description  : This file implements device driver for Config_CMT1.
* Creation Date: 2019-04-23
***********************************************************************************************************************/

/***********************************************************************************************************************
Pragma directive
***********************************************************************************************************************/
/* Start user code for pragma. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "r_cg_macrodriver.h"
#include "Config_CMT1.h"
/* Start user code for include. Do not edit comment generated here */
/* Motor control include */
#include "r_mtr_ctrl_rx66t.h"
#include "r_mtr_ctrl_mcu.h"
/* e-AI application include */
#include "MotionSensor.h"
/* End user code. Do not edit comment generated here */
#include "r_cg_userdefine.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
/* Start user code for global. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */

/***********************************************************************************************************************
* Function Name: R_Config_CMT1_Create_UserInit
* Description  : This function adds user code after initializing the CMT1 channel
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/

void R_Config_CMT1_Create_UserInit(void)
{
    /* Start user code for user init. Do not edit comment generated here */
    /* End user code. Do not edit comment generated here */
}

/***********************************************************************************************************************
* Function Name: r_Config_CMT1_cmi1_interrupt
* Description  : This function is CMI1 interrupt service routine
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/

#if FAST_INTERRUPT_VECTOR == VECT_CMT1_CMI1
#pragma interrupt r_Config_CMT1_cmi1_interrupt(vect=VECT(CMT1,CMI1),fint)
#else
#pragma interrupt r_Config_CMT1_cmi1_interrupt(vect=VECT(CMT1,CMI1))
#endif
static void r_Config_CMT1_cmi1_interrupt(void)
{
    /* Start user code for r_Config_CMT1_cmi1_interrupt. Do not edit comment generated here */
    int16_t *p_iu_ad;
    int16_t *p_iw_ad;
    int16_t *p_iv_ad;
    float iu_ad_buf;
    float iw_ad_buf;
    uint16_t temp;

    /* Ring buffer write pointer control */
    temp = gv_SamplingRingBuffer.m_Write;
    temp++;
    temp &= (uint16_t)(DEF_SamplingRingBuffer - 1);

    /* Is there empty space in the ring buffer? */
    if (temp != gv_SamplingRingBuffer.m_Read)
    {
        p_iu_ad = &gv_SamplingRingBuffer.m_SamplingRingData[gv_SamplingRingBuffer.m_Write].m_Ad0Value;
        p_iv_ad = &gv_SamplingRingBuffer.m_SamplingRingData[gv_SamplingRingBuffer.m_Write].m_Ad1Value;
        p_iw_ad = &gv_SamplingRingBuffer.m_SamplingRingData[gv_SamplingRingBuffer.m_Write].m_Ad2Value;

        /* Get A/D result of U-phase and W-phase */
        mtr_get_current_adc( &iu_ad_buf, &iw_ad_buf, MTR_ID_A);
        *p_iu_ad = (int16_t)iu_ad_buf;
        *p_iw_ad = (int16_t)iw_ad_buf;

        /* Assumption V-phase current A/D value */
        *p_iv_ad = (int16_t)( -(((int32_t)*p_iu_ad - MTR_ADC_OFFSET) + ((int32_t)*p_iw_ad - MTR_ADC_OFFSET))
                              + MTR_ADC_OFFSET);

        /* Update ring buffer write pointer */
        gv_SamplingRingBuffer.m_Write = temp;
    }
    /* End user code. Do not edit comment generated here */
}

/* Start user code for adding. Do not edit comment generated here */
/* End user code. Do not edit comment generated here */   




